WhatsApp won’t work on these phones from November 1: Check the full list

Advertisement
WhatsApp won’t work on these phones from November 1: Check the full list
Unsplash
  • WhatsApp won’t work on some older Android and iOS phones from November 1.
  • The list includes smartphones from Apple, Samsung, LG, Huawei and more.
  • If your phone is on this list, you will have to get a new compatible phone to continue using WhatsApp.
WhatsApp has announced that some smartphones running on older OS will become incompatible, starting from November 1. WhatsApp will require devices to run on Android OS 4.1 and above, iOS 10 and above or phones running on KaiOS 2.5.1 or above, which include the JioPhone and JioPhone 2.

Before you check the list, make sure your phone is updated to the latest version of the OS. You can do it by heading over to the “Settings” menu and looking out for any available updates. Apart from the software, there would be some devices that will not be compatible with WhatsApp from November 1 onwards. If you have any of these devices, the solution is to first back up your messages and then purchase a new smartphone and restore your chat history.

Here are all the devices WhatsApp will stop working on from November 1.



Advertisement
iPhone
You won’t be able to use WhatsApp on iPhone 4s and older devices.

Android devices
Among smartphones with Android OS you won’t be able to use WhatsApp if you have the following devices from Samsung, LG, Huawei, Sony and others.

Advertisement

Samsung
The list of devices from Samsung that won’t support WhatsApp include Samsung Galaxy Trend Lite, Galaxy Trend II, Galaxy SII, Galaxy S3 mini, Galaxy Xcover 2, Galaxy Core and Galaxy Ace 2.

LG
You won’t be able to use WhatsApp on these LG devices — LG Lucid 2, Optimus F7, Optimus F5, Optimus L3 II Dual, Optimus F5, Optimus L5, Optimus L5 II, Optimus L5 Dual, Optimus L3 II, Optimus L7, Optimus L7 II Dual, Optimus L7 II, Optimus F6, Enact, Optimus L4 II Dual, Optimus F3, Optimus L4 II, Optimus L2 II, Optimus Nitro HD and 4X HD, and Optimus F3Q.

Advertisement
ZTE
If you own any of these ZTE devices, you won’t be able to use WhatsApp messenger. These include the ZTE Grand S Flex, ZTE V956, Grand X Quad V987 and Grand Memo.

Huawei
You need to upgrade your device if you own any of these Huawei smartphones, Huawei Ascend G740, Ascend Mate, Ascend D Quad XL, Ascend D1 Quad XL, Ascend P1 S, and Ascend D2.

Advertisement
Sony
You won’t be able to use WhatsApp on these Sony Xperia smartphones — Sony Xperia Miro, Sony Xperia Neo L and Xperia Arc S.

Other Devices
Other Android devices that will not be compatible with WhatsApp include HTC Desire 500, Alcatel One Touch Evo 7, Archos 53 Platinum, Caterpillar Cat B15, Wiko Cink Five, Wiko Darknight, UMi X2, Faea F1, THL W8 and Lenovo A820.

Advertisement

Backup your chats


If you are using any device from this list, note that WhatsApp will stop working from November 1 onwards. You will need to take a backup of your chats and media to Google Drive or iCloud and restore it to a new compatible device to continue using WhatsApp.

You can also transfer the WhatsApp messages from Android to iPhone by following these steps.

SEE ALSO:
Advertisement
Mark Zuckerberg hits out against Apple as Facebook's ad revenue dwindles
Internal documents reveal how Facebook struggled to deal with misinformation and hate speech in India
{{}}